Skip to main content
`Ctrl`+`K`

# TimeUnique

class astropy.time.TimeUnique(val1, val2, scale, precision, in_subfmt, out_subfmt, from_jd=False)

  Bases: `TimeFormat`

  Base class for time formats that can uniquely create a time object without requiring an explicit format specifier. This class does nothing but provide inheritance to identify a class as unique.

  Attributes Summary

  `in_subfmt` |
  `jd1` |
  `jd2` |
  `out_subfmt` |
  `precision` |
  `scale` | Time scale.
  `subfmts` |
  `value` |

  Methods Summary

  `fill_value`(subfmt) | Return a value corresponding to J2000 (2000-01-01 12:00:00) in this format.
  `set_jds`(val1, val2) | Set internal jd1 and jd2 from val1 and val2.
  `to_value`([parent, out_subfmt]) | Return time representation from internal jd1 and jd2 in specified `out_subfmt`.

  Attributes Documentation

  in_subfmt
  jd1
  jd2
  out_subfmt
  precision
  scale

    Time scale.

  subfmts = ()
  value

  Methods Documentation

  classmethod fill_value(subfmt)

    Return a value corresponding to J2000 (2000-01-01 12:00:00) in this format.

    This is used as a fill value for masked arrays to ensure that any ERFA operations on the masked array will not fail due to the masked value.

  set_jds(val1, val2)

    Set internal jd1 and jd2 from val1 and val2. Must be provided by derived classes.

  to_value(parent=None, out_subfmt=None)

    Return time representation from internal jd1 and jd2 in specified `out_subfmt`.

    This is the base method that ignores `parent` and uses the `value` property to compute the output. This is done by temporarily setting `self.out_subfmt` and calling `self.value`. This is required for legacy Format subclasses prior to astropy 4.0 New code should instead implement the value functionality in `to_value()` and then make the `value` property be a simple call to `self.to_value()`.

    Parameters:
      parent `object`

        Parent `Time` object associated with this `TimeFormat` object

      out_subfmt `python:str` or `python:None`

        Output subformt (use existing self.out_subfmt if `None`)

    Returns:
      value `numpy.array`, `numpy.ma.array`

        Array or masked array of formatted time representation values